Overlap dialling lets attacker shut down system
Asterisk users need to get busy with a patch.
In September, the popular open-source IP PBX project advised users to switch off its “overlap dialling” feature to dodge a possible denial-of-service (DoS) vulnerability.

Overlap dialling is designed to reduce call setup time, by letting the system start looking for destinations from an incomplete number.
The original bug report explained: “If this functionality is used with a device that has performed username/password authentication, RTP resources are leaked.

This occurs because the code fails to release the old RTP resources before allocating new ones in this scenario.
If all resources are used then RTP port exhaustion will occur and no RTP sessions are able to be set up.”
The original advice carried an upgrade recommendation, but said disabling overlap dialling offered a workaround – however, the workaround didn’t work.
“It has been brought to our attention by Walter Doekes that this same leak can be exploited without the use of the overlap dialling feature.
Sending SIP requests in a specific sequence outside the norm could also cause the leak of RTP resources.

By sending an in-dialog INVITE after receiving a 404 response (but before sending an ACK), an attacker could cause the same leak to occur,” the updated advisory says.
The bug affects Asterisk Open Source versions 11.x, 13.x, and Certified Asterisk 11.6 and 13.8, all of which need to be upgraded. ®

Leave a Reply